#include <bits/stdc++.h>

using namespace std;

#define ll long long 

int main() {
    ios_base::sync_with_stdio();
    cin.tie(0), cout.tie(0);
    ll n,k;
    cin>>n>>k;
    vector<ll>s(n);
    for(ll i= 0 ; i < n;i++){
        cin>>s[i];
    }
    multiset<ll>st;
    ll mx=0;
    for(ll i=0;i<n;i++){
        ll ans=i+1 + s[i];
        ll cnt=0;
        for(auto el: st){
            if(cnt== k - 1){
                break;
            }
            cnt++;
            ans-=el;
        }  
        mx=max(mx,ans);
        st.insert(-s[i]);
    }
    cout<<mx;
}